Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision 5d15cbab733d2b600bf0019160f36aa272641907)
+++ chapter01/changelog.xml	(revision d5a25a88b52a15297d7585241742ab79c6819d5b)
@@ -44,8 +44,30 @@
 -->
     <listitem>
+      <para>2016-12-03</para>
+      <itemizedlist>
+        <listitem>
+          <para>[dj] - Update to coreutils-8.26. Fixes
+          <ulink url="&lfs-ticket-root;4010">#4010</ulink>.</para>
+        </listitem>
+        <listitem revision="systemd">
+          <para>[dj] - Update to dbus-1.10.14. Fixes
+          <ulink url="&lfs-ticket-root;4009">#4009</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[dj] - Update to linux-4.8.12 and fix recent OOM issue. Fixes
+          <ulink url="&lfs-ticket-root;4008">#4008</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[dj] - Update to tzdata-2016j. Fixes
+          <ulink url="&lfs-ticket-root;4007">#4007</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>2016-11-22</para>
       <itemizedlist>
         <listitem>
-          <para>[dj] - Update to Linux-4.8.10. Fixes
+          <para>[dj] - Update to linux-4.8.10. Fixes
           <ulink url="&lfs-ticket-root;4005">#4005</ulink>.</para>
         </listitem>
@@ -66,5 +88,5 @@
       <itemizedlist>
         <listitem>
-          <para>[renodr] - Update to Linux-4.8.8. Fixes
+          <para>[renodr] - Update to linux-4.8.8. Fixes
           <ulink url="&lfs-ticket-root;4002">#4002</ulink>.</para>
         </listitem>
@@ -128,5 +150,5 @@
       <itemizedlist>
         <listitem>
-          <para>[renodr] - Update to D-Bus-1.10.12. Fixes
+          <para>[renodr] - Update to dbus-1.10.12. Fixes
           <ulink url="&lfs-ticket-root;3993">#3993</ulink>.</para>
         </listitem>
Index: chapter08/kernel.xml
===================================================================
--- chapter08/kernel.xml	(revision 5d15cbab733d2b600bf0019160f36aa272641907)
+++ chapter08/kernel.xml	(revision d5a25a88b52a15297d7585241742ab79c6819d5b)
@@ -179,4 +179,11 @@
     scratch.</para>
 
+    <!-- Remove at 4.8.13 -->
+    <para>Fix an out of memory issue that affects recent kernels:</para>
+
+<screen><userinput remap="pre">sed -e '/sk_sndbuf/s/u32/int/' \
+    -e '/sk_rcvbuf/s/u32/int/' \
+    -i.bak net/core/sock.c</userinput></screen>
+
     <para>Compile the kernel image and modules:</para>
 
Index: general.ent
===================================================================
--- general.ent	(revision 5d15cbab733d2b600bf0019160f36aa272641907)
+++ general.ent	(revision d5a25a88b52a15297d7585241742ab79c6819d5b)
@@ -1,12 +1,12 @@
-<!ENTITY version         "SVN-20161122">
+<!ENTITY version         "SVN-20161203">
 <!ENTITY short-version   "svn">  <!-- Used below in &blfs-book; 
                                       Change to x.y for release but not -rc releases -->
 <!ENTITY generic-version "development"> <!-- Use "development"  or "x.y[-pre{x}]" -->
 
-<!ENTITY versiond        "20161122-systemd">
+<!ENTITY versiond        "20161203-systemd">
 <!ENTITY short-versiond  "systemd">
 <!ENTITY generic-versiond "systemd"> 
 
-<!ENTITY releasedate     "November 22, 2016">
+<!ENTITY releasedate     "December 03, 2016">
 <!ENTITY copyrightdate   "1999-2016"><!-- jhalfs needs a literal dash, not &ndash; -->
 <!ENTITY milestone       "7.11">
Index: packages.ent
===================================================================
--- packages.ent	(revision 5d15cbab733d2b600bf0019160f36aa272641907)
+++ packages.ent	(revision d5a25a88b52a15297d7585241742ab79c6819d5b)
@@ -97,8 +97,8 @@
 <!ENTITY check-ch5-sbu "0.1 SBU">
 
-<!ENTITY coreutils-version "8.25">
-<!ENTITY coreutils-size "5,591 KB">
+<!ENTITY coreutils-version "8.26">
+<!ENTITY coreutils-size "5,676 KB">
 <!ENTITY coreutils-url "&gnu;coreutils/coreutils-&coreutils-version;.tar.xz">
-<!ENTITY coreutils-md5 "070e43ba7f618d747414ef56ab248a48">
+<!ENTITY coreutils-md5 "d5aa2072f662d4118b9f4c63b94601a6">
 <!ENTITY coreutils-home "&gnu-software;coreutils/">
 <!ENTITY coreutils-ch5-du "132 MB">
@@ -107,8 +107,8 @@
 <!ENTITY coreutils-ch6-sbu "2.6 SBU">
 
-<!ENTITY dbus-version "1.10.12">
+<!ENTITY dbus-version "1.10.14">
 <!ENTITY dbus-size "1,940 KB">
 <!ENTITY dbus-url "http://dbus.freedesktop.org/releases/dbus/dbus-&dbus-version;.tar.gz">
-<!ENTITY dbus-md5 "bacef77336bbe588efa3124102d5fcdb">
+<!ENTITY dbus-md5 "3f7b013ce8f641cd4c897acda0ef3467">
 <!ENTITY dbus-home "http://www.freedesktop.org/wiki/Software/dbus">
 <!ENTITY dbus-ch6-du "22 MB">
@@ -392,10 +392,10 @@
 <!ENTITY linux-major-version "4">
 <!ENTITY linux-minor-version "8">
-<!ENTITY linux-patch-version "10">
+<!ENTITY linux-patch-version "12">
 <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">
 <!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">-->
 <!ENTITY linux-size "89,828 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.xz">
-<!ENTITY linux-md5 "ac66f4cf464fbc6147ac5cb588eec192">
+<!ENTITY linux-md5 "df78d00a183d76eee6b445cb74e6c764">
 <!ENTITY linux-home "http://www.kernel.org/">
 <!-- measured for 4.8.3 / gcc-6.2.0 on x86_64 : minimum is
@@ -595,8 +595,8 @@
 <!ENTITY texinfo-ch6-sbu "0.5 SBU">
 
-<!ENTITY tzdata-version "2016i">
-<!ENTITY tzdata-size "313 KB">
+<!ENTITY tzdata-version "2016j">
+<!ENTITY tzdata-size "316 KB">
 <!ENTITY tzdata-url "http://www.iana.org/time-zones/repository/releases/tzdata&tzdata-version;.tar.gz">
-<!ENTITY tzdata-md5 "73912ecfa6a9a8048ddf2e719d9bc39d">
+<!ENTITY tzdata-md5 "db361d005ac8b30a2d18c5ca38d3e8ab">
 <!ENTITY tzdata-home "http://www.iana.org/time-zones">
 
Index: patches.ent
===================================================================
--- patches.ent	(revision 5d15cbab733d2b600bf0019160f36aa272641907)
+++ patches.ent	(revision d5a25a88b52a15297d7585241742ab79c6819d5b)
@@ -11,7 +11,7 @@
 <!ENTITY bzip2-docs-patch-size "1.6 KB">
 
-<!ENTITY coreutils-i18n-patch "coreutils-&coreutils-version;-i18n-2.patch">
-<!ENTITY coreutils-i18n-patch-md5 "c6334ed5b03062ef7e9649e8ceb2cfc1">
-<!ENTITY coreutils-i18n-patch-size "146 KB">
+<!ENTITY coreutils-i18n-patch "coreutils-&coreutils-version;-i18n-1.patch">
+<!ENTITY coreutils-i18n-patch-md5 "e1f87b10b23d66344e5e99e7fabfa7a2">
+<!ENTITY coreutils-i18n-patch-size "168 KB">
 
 <!ENTITY flex-fixes-patch "flex-&flex-version;-fixes-1.patch">
